"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
const vscode_1 = require("vscode");
const configuration_1 = require("./utils/configuration");
const decoration_1 = require("./utils/decoration");
async function activate(context) {
    const configuration = new configuration_1.Configuration();
    const decoration = new decoration_1.Decoration(configuration);
    decoration.update();
    vscode_1.window.onDidChangeActiveTextEditor((editor) => {
        decoration.update();
    }, null, context.subscriptions);
    vscode_1.workspace.onDidChangeTextDocument((event) => {
        decoration.update();
    }, null, context.subscriptions);
    vscode_1.workspace.onDidChangeConfiguration((event) => {
        const configuration = new configuration_1.Configuration();
        decoration.update(configuration);
    }, null, context.subscriptions);
}
exports.activate = activate;
async function deactivate() {
    const configuration = new configuration_1.Configuration();
    const decoration = new decoration_1.Decoration(configuration);
    decoration.dispose();
}
exports.deactivate = deactivate;
